Deactivate a Premium
curl --request PUT \
--url https://prod-api.raisedonors.com/api/Premium/{id}/deactivate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"replace": true,
"recurringGiftReplacementPremiumId": 123,
"legacyPagesReplacementPremiumId": 123,
"recurringPremiumReplacementPremiumId": 123,
"pagePremiumId": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
replace: true,
recurringGiftReplacementPremiumId: 123,
legacyPagesReplacementPremiumId: 123,
recurringPremiumReplacementPremiumId: 123,
pagePremiumId: 123
})
};
fetch('https://prod-api.raisedonors.com/api/Premium/{id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Premium/{id}/deactivate"
payload = {
"replace": True,
"recurringGiftReplacementPremiumId": 123,
"legacyPagesReplacementPremiumId": 123,
"recurringPremiumReplacementPremiumId": 123,
"pagePremiumId": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Premium/{id}/deactivate");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"replace\": true,\n \"recurringGiftReplacementPremiumId\": 123,\n \"legacyPagesReplacementPremiumId\": 123,\n \"recurringPremiumReplacementPremiumId\": 123,\n \"pagePremiumId\": 123\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Premium/{id}/deactivate';
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
replace: true,
recurringGiftReplacementPremiumId: 123,
legacyPagesReplacementPremiumId: 123,
recurringPremiumReplacementPremiumId: 123,
pagePremiumId: 123
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"price": [
"Price must be greater than zero."
]
},
"instance": "/api/Premium/8210/deactivate"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Premium/{id}/deactivate"
}Premium
Deactivate a Premium
Deactivates a premium so it can no longer be selected.
PUT
https://prod-api.raisedonors.com
/
api
/
Premium
/
{id}
/
deactivate
Deactivate a Premium
Set
replace to true and send the replacement premium IDs for each place the premium is used — recurring gifts, pages, and legacy campaigns — to keep those records offering something in its place.Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The ID of the premium to deactivate.
Body
application/jsontext/jsonapplication/*+json
The deactivate premium request model.
Represents a premium deactivation request.
Whether to replace the premium.
The replacement premium identifier for recurring gifts.
The replacement premium identifier for legacy pages.
The replacement premium identifier for recurring premiums.
The unique identifier of the premium on the page to deactivate.
Response
OK
Last modified on July 28, 2026
Was this page helpful?
⌘I